org.ajax4jsf.taglib.html.jsp

## Class FormTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.taglib.html.jsp.FormTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class FormTag
      extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAccept(javax.el.ValueExpression __accept)` This attribute specifies a comma-separated list of content types that a server processing this form will handle correctly.
    `void` | `setAcceptCharset(javax.el.ValueExpression __acceptCharset)` This attribute specifies the list of character encodings for input data that is accepted by the server processing this form.
    `void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
    `void` | `setAjaxSubmit(javax.el.ValueExpression __ajaxSubmit)` If "true", it becomes possible to set AJAX submission way for any components inside .
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
    `void` | `setEnctype(javax.el.ValueExpression __enctype)` This attribute specifies the content type used to submit the form to the server (when the value of method is "post").
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setFocus(javax.el.ValueExpression __focus)` id of element to set focus after request completed on client side Setter for focus
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
    `void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component.
    `void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client side script method to be called before DOM is updated Setter for onbeforedomupdate
    `void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client side script method to be called after the request is completed Setter for oncomplete
    `void` | `setOnreset(javax.el.ValueExpression __onreset)` HTML: script expression; a form is reseted.
    `void` | `setOnsubmit(javax.el.ValueExpression __onsubmit)` HTML: script expression; a form is submitted.
    `void` | `setPrependId(javax.el.ValueExpression __prependId)` The flag indicating whether or not this form should prepend its id to its descendent id during the clientId generation process.
    `void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
    `void` | `setStyle(javax.el.ValueExpression __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
    `void` | `setStyleClass(javax.el.ValueExpression __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
    `void` | `setTarget(javax.el.ValueExpression __target)` This attribute specifies the name of a frame where a document is to be opened.
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Timeout ( in ms ) for request.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### FormTag

          public FormTag()

  - ### Method Detail

    - #### setAccept

          public void setAccept(javax.el.ValueExpression __accept)

      This attribute specifies a comma-separated list of content types that a server processing this form will handle correctly. User agents may use this information to filter out non-conforming files when prompting you to select files to be sent to the server (cf. the INPUT element when type="file") Setter for accept
      Parameters:
        `accept` - - new value

    - #### setAcceptCharset

          public void setAcceptCharset(javax.el.ValueExpression __acceptCharset)

      This attribute specifies the list of character encodings for input data that is accepted by the server processing this form. The value is a space- and/or comma-delimited list of charset values. The client must interpret this list as an exclusive-or list, i.e., the server is able to accept any single character encoding per entity received. The default value for this attribute is the reserved string "UNKNOWN". User agents may interpret this value as the character encoding that was used to transmit the document containing this FORM element Setter for acceptCharset
      Parameters:
        `acceptCharset` - - new value

    - #### setAjaxSingle

          public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

      boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
      Parameters:
        `ajaxSingle` - - new value

    - #### setAjaxSubmit

          public void setAjaxSubmit(javax.el.ValueExpression __ajaxSubmit)

      If "true", it becomes possible to set AJAX submission way for any components inside . Setter for ajaxSubmit
      Parameters:
        `ajaxSubmit` - - new value

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data
      Parameters:
        `data` - - new value

    - #### setEnctype

          public void setEnctype(javax.el.ValueExpression __enctype)

      This attribute specifies the content type used to submit the form to the server (when the value of method is "post"). The default value for this attribute is "application/x-www-form-urlencoded". The value "multipart/form-data" should be used in combination with the INPUT element, type="file" Setter for enctype
      Parameters:
        `enctype` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setFocus

          public void setFocus(javax.el.ValueExpression __focus)

      id of element to set focus after request completed on client side Setter for focus
      Parameters:
        `focus` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setLimitToList

          public void setLimitToList(javax.el.ValueExpression __limitToList)

      If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component. "false"-the default value-means that all components with ajaxRendered="true" will be updated. Setter for limitToList
      Parameters:
        `limitToList` - - new value

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

      The client side script method to be called before DOM is updated Setter for onbeforedomupdate
      Parameters:
        `onbeforedomupdate` - - new value

    - #### setOncomplete

          public void setOncomplete(javax.el.ValueExpression __oncomplete)

      The client side script method to be called after the request is completed Setter for oncomplete
      Parameters:
        `oncomplete` - - new value

    - #### setOnreset

          public void setOnreset(javax.el.ValueExpression __onreset)

      HTML: script expression; a form is reseted. It only applies to the FORM element Setter for onreset
      Parameters:
        `onreset` - - new value

    - #### setOnsubmit

          public void setOnsubmit(javax.el.ValueExpression __onsubmit)

      HTML: script expression; a form is submitted. It only applies to the FORM element Setter for onsubmit
      Parameters:
        `onsubmit` - - new value

    - #### setPrependId

          public void setPrependId(javax.el.ValueExpression __prependId)

      The flag indicating whether or not this form should prepend its id to its descendent id during the clientId generation process. If this flag is not set, the default value is "true". Setter for prependId
      Parameters:
        `prependId` - - new value

    - #### setProcess

          public void setProcess(javax.el.ValueExpression __process)

      Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process
      Parameters:
        `process` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setStatus

          public void setStatus(javax.el.ValueExpression __status)

      ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
      Parameters:
        `status` - - new value

    - #### setStyle

          public void setStyle(javax.el.ValueExpression __style)

      CSS style(s) is/are to be applied when this component is rendered Setter for style
      Parameters:
        `style` - - new value

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression __styleClass)

      Corresponds to the HTML class attribute Setter for styleClass
      Parameters:
        `styleClass` - - new value

    - #### setTarget

          public void setTarget(javax.el.ValueExpression __target)

      This attribute specifies the name of a frame where a document is to be opened. By assigning a name to a frame via the name attribute, authors can refer to it as the "target" of links defined by other elements Setter for target
      Parameters:
        `target` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Timeout ( in ms ) for request. Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.